"use strict";
exports.__esModule = true;
exports.getModuleOptions = exports.getOptions = exports.setUIOptions = void 0;
var moduleOptions = {
    elSelect: {
        inputSelector: '.el-input__inner',
        dropdownListSelector: ".el-select-dropdown__list",
        dorpdownItemSelector: ".el-select-dropdown__item"
    },
    elCascader: {
        inputSelector: ".el-input__inner",
        dropdownListSelector: ".el-cascader__dropdown",
        dropdownColSelector: '.el-cascader-menu',
        dropdownColItemSelector: ".el-cascader-node"
    },
    elUpload: {
        inputSelector: ".el-upload__input"
    },
    elCheckboxGroup: {
        labelSelector: ".el-checkbox__label"
    }
};
var options = {
    uiConfig: {
        clickCount: 1,
        typeDelay: 30,
        uiWaitTime: 500,
        apiWaitTime: 1500
    }
};
function setUIOptions(config) {
    options.uiConfig = Object.assign(options.uiConfig, config || {});
}
exports.setUIOptions = setUIOptions;
function getOptions() {
    return options;
}
exports.getOptions = getOptions;
function getModuleOptions() {
    return moduleOptions;
}
exports.getModuleOptions = getModuleOptions;
